import { Component, HostBinding, Renderer2, OnInit } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  @HostBinding('class') public themesClass: THEME = THEME.DARK;
  title = 'Home - IgniteUI for Angular';
  public themes = [THEME.LIGHT, THEME.DARK];
  public bodyInitalClassList;
  public selected = THEME.DARK;

  constructor(private renderer: Renderer2) { }

  public ngOnInit() {
    this.bodyInitalClassList = document.body.className;
    this.renderer.setAttribute(document.body, 'class', THEME.DARK + ' ' + this.bodyInitalClassList);
  }

  public selectTheme(event) {
    const selectedTheme: THEME = event.newSelection.elementRef.nativeElement.innerText;
    this.selected = selectedTheme;
    this.themesClass = selectedTheme;
    this.renderer.setAttribute(document.body, 'class', selectedTheme + ' ' + this.bodyInitalClassList);
  }
}

export enum THEME {
  LIGHT = 'light-theme',
  DARK = 'dark-theme',
}