import { Component, OnInit, ViewChild, ViewEncapsulation } from '@angular/core';
import { employeesData } from './localData';
import { IgxColumnComponent, IgxDialogComponent } from 'igniteui-angular';

@Component({
  selector: 'app-grid',
  templateUrl: './grid.component.html',
  styleUrls: ['./grid.component.scss']
})
export class GridComponent implements OnInit {
  @ViewChild('alert', { static: true }) alert: IgxDialogComponent;
  localData: any[];
  title = 'Grid';

  ngOnInit() {
    this.localData = employeesData;
    this.alert.open();
  }

  public onColumnInit(column: IgxColumnComponent) {
    if (column.field === 'RegistererDate') {
      column.formatter = (date => date.toLocaleDateString());
    }
    column.editable = true;
  }
}
